Token payroll

Payroll Sync

Force-pulls payroll data from the org's ADP or UKG integration for a 60-day window, creating payrolls and sync history.

POSThttps://api.toku.com/stablecoin-payroll/payroll-sync

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/payroll-sync' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "orgID": "string"
}'
200 response
{
  "success": true,
  "recordsProcessed": 0,
  "recordsCreated": 0,
  "recordsUpdated": 0,
  "errors": [
    "string"
  ],
  "syncHistory": {
    "syncHistoryID": "string",
    "orgID": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

orgIDstring

Response

200Successful response
successbooleanrequired
recordsProcessednumberrequired
recordsCreatednumberrequired
recordsUpdatednumberrequired
errorsstring[]required
syncHistoryobjectrequired
Show child attributes
syncHistoryIDstringrequired
orgIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits